Bug 187298 - `service ccsd status` returns 0 when ccsd is NOT running (should return non 0)
`service ccsd status` returns 0 when ccsd is NOT running (should return non 0)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: ccs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Abhijith Das
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 15:29 EST by Stanko Kupcevic
Modified: 2010-01-27 13:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 13:14:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This should (481 bytes, patch)
2006-03-30 18:09 EST, Abhijith Das
no flags Details | Diff
This should fix the problem (481 bytes, patch)
2006-03-30 18:09 EST, Abhijith Das
no flags Details | Diff
This should fix the problem (481 bytes, patch)
2006-03-31 16:43 EST, Abhijith Das
no flags Details | Diff

  None (edit)
Description Stanko Kupcevic 2006-03-29 15:29:00 EST
Description of problem:
`/etc/init.d/ccsd start` returns 1 when ccsd is running (should return 0).
`/etc/init.d/ccsd status` returns 0 when ccsd is NOT running (0 s/b for
"service OK" only).

This causes problems for conga, when it determines cluster status and
starts/stops a node. 

Both 'start' and 'status' deviate from behavior of other init scripts, and so is
a bug. 


Version-Release number of selected component (if applicable):
ccs-1.0.0-0

How reproducible:
Always
Comment 1 Abhijith Das 2006-03-30 18:09:12 EST
Created attachment 127082 [details]
This should
Comment 2 Abhijith Das 2006-03-30 18:09:40 EST
Created attachment 127083 [details]
This should fix the problem
Comment 3 Abhijith Das 2006-03-31 16:43:09 EST
Created attachment 127161 [details]
This should fix the problem
Comment 4 Abhijith Das 2006-04-10 14:39:37 EDT
committed above patch into CVS; RHEL4, STABLE and HEAD branches

Note You need to log in before you can comment on or make changes to this bug.